Show / Hide Table of Contents

# Delegate EntryPoint.InitDelegate

A delegate used during initialization of the CLR from Dalamud.Boot.

###### Namespace: Dalamud

###### Assembly: Dalamud.dll

##### Syntax

    public delegate void InitDelegate(IntPtr infoPtr, IntPtr mainThreadContinueEvent);

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | infoPtr | Pointer to a serialized DalamudStartInfo data.
System.IntPtr | mainThreadContinueEvent | Event used to signal the main thread to continue.